CURLINFO_TLS_SESSION(3)

NAME
CURLINFO_TLS_SESSION - get TLS session info

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_TLS_SESSION,
                           struct curl_tlssessioninfo **session);

DESCRIPTION
This option has been superseded by CURLINFO_TLS_SSL_PTR(3) which was added in 7.48.0. The only reason you would use this option instead is if you could be using a version of libcurl earlier than 7.48.0. This option is exactly the same as CURLINFO_TLS_SSL_PTR(3) except in the case of OpenSSL. If the session backend is CURLSSLBACKEND_OPENSSL the session internals pointer varies depending on the option: CURLINFO_TLS_SESSION OpenSSL session internals is SSL_CTX *. CURLINFO_TLS_SSL_PTR OpenSSL session internals is SSL *. You can obtain an SSL_CTX pointer from an SSL pointer using OpenSSL function SSL_get_SSL_CTX. Therefore unless you need compatibility with older versions of libcurl use CURLINFO_TLS_SSL_PTR(3). Refer to that document for more information.

PROTOCOLS
All TLS-based

EXAMPLE
TODO

AVAILABILITY
Added in 7.34.0, and supported OpenSSL, GnuTLS, NSS and gskit only up until 7.48.0 was released.

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3), CURLINFO_TLS_SSL_PTR(3),